## tracker 2.1.8

=== debian/changelog ===
tracker (2.1.8-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 Mar 2021 11:42:58 -0700

tracker (2.1.8-2) unstable; urgency=medium

  * gbp.conf: Update debian-branch for buster
  * Cherry-pick upstream patch to fix crash (Closes: #926946)

 -- Iain Lane <laney@debian.org>  Fri, 12 Apr 2019 16:20:46 +0100

tracker (2.1.8-1) unstable; urgency=medium

  * New upstream release
  * Drop libtracker-data-Don-t-rely-on-hash-table-iteration-order-.patch:
    - Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Feb 2019 20:26:33 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: tracker
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: bash-completion,
               dbus (>= 1.8) <!nocheck>,
               debhelper (>= 11),
               gnome-common,
               gnome-pkg-tools,
               gobject-introspection (>= 0.10),
               gtk-doc-tools,
               intltool (>= 0.40.0),
               libdbus-1-dev (>= 1.3.1),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.44.0),
               libglib2.0-doc,
               libjson-glib-dev (>= 1.0),
               libsoup2.4-dev (>= 2.40),
               libsqlite3-dev (>= 3.8.3),
               libstemmer-dev,
               libunistring-dev,
               libupower-glib-dev (>= 0.9.0),
               pkg-config,
               uuid-dev,
               valac,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/tracker
Vcs-Git: https://salsa.debian.org/gnome-team/tracker.git
Homepage: https://wiki.gnome.org/Projects/Tracker

Package: tracker
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: default-dbus-session-bus | dbus-session-bus,
         libglib2.0-bin,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: tracker-miner-fs
Description: metadata database, indexer and search tool
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-sparql-2.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: metadata database, indexer and search tool - library
 This package contains a library to perform SPARQL queries and updates in the
 Tracker store.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-sparql-2.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-tracker-2.0 (= ${binary:Version}),
         libglib2.0-dev,
         libtracker-sparql-2.0-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libtracker-sparql-doc
Description: metadata database, indexer and search tool - development files
 This package contains the static libraries and header files needed to link
 applications with libtracker-sparql.
 .
 libtracker-sparql provides a library to perform SPARQL queries and updates in
 the Tracker store.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-sparql-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Breaks: libtracker-sparql-0.10-dev
Replaces: libtracker-sparql-0.10-dev
Description: metadata database, indexer and search tool - API documentation
 This package contains the gtk-doc API documentation for libtracker-sparql.
 .
 libtracker-sparql provides a library to perform SPARQL queries and updates in
 the Tracker store.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-miner-2.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tracker data miner library
 This package contains the library that is used by applications that provide
 data miners for tracker.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-miner-2.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-tracker-2.0 (= ${binary:Version}),
         libglib2.0-dev,
         libtracker-miner-2.0-0 (= ${binary:Version}),
         libtracker-sparql-2.0-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libtracker-miner-doc
Description: tracker data miner library - development files
 This package contains the static libraries and header files needed to link
 applications with libtracker-miner.
 .
 libtracker-miner provides a library to develop tracker data miners.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-miner-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Breaks: libtracker-miner-0.10-dev, libtracker-miner-0.8-dev
Replaces: libtracker-miner-0.10-dev, libtracker-miner-0.8-dev
Description: tracker data miner library - API documentation
 This package contains the gtk-doc API documentation for libtracker-miner.
 .
 libtracker-miner provides a library to develop tracker data miners.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-control-2.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to control/monitor tracker miners
 This package contains a library for managing miners, including polling
 status and progress, pausing, resuming and more.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-control-2.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-tracker-2.0 (= ${binary:Version}),
         libglib2.0-dev,
         libtracker-control-2.0-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libtracker-control-doc
Description: library to control/monitor tracker miners - development files
 This package contains the static libraries and header files needed to link
 applications with libtracker-control.
 .
 libtracker-control provides a library for managing miners, including polling
 status and progress, pausing, resuming and more.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-control-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: library to control/monitor tracker miners - API documentation
 This package contains the gtk-doc API documentation for libtracker-control.
 .
 libtracker-control provides a library for managing miners, including polling
 status and progress, pausing, resuming and more.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: gir1.2-tracker-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: gir1.2-trackercontrol-2.0 (= ${binary:Version}),
          gir1.2-trackerminer-2.0 (= ${binary:Version})
Description: GObject introspection data for Tracker
 This package contains introspection data for libtracker-control,
 libtracker-miner and libtracker-sparql.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed -Wl,-Bsymbolic

%:
	dh $@ --with gir,gnome

autoreconf:
	NOCONFIGURE=true gnome-autogen.sh

override_dh_autoreconf:
	dh_autoreconf --as-needed debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-unicode-support=libunistring \
		--enable-introspection \
		--enable-tracker-fts \
		--enable-libstemmer \
		--enable-upower \
		--enable-gtk-doc \
		--enable-unit-tests \
		--disable-network-manager \
		--disable-hal \
		--disable-static \
		--libexecdir=\$${prefix}/lib/tracker

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	find debian/tmp -name libtracker-common.so -print -delete
	find debian/tmp -name libtracker-data.so -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

# Enforce tight shlibs dependencies
override_dh_makeshlibs:
	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-2.0/ -- -c4

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_test:
	dbus-run-session -- dh_auto_test -- -k || true

=== debian/tests/control ===
Tests: unit-tests
Depends: dbus-x11, gir1.2-glib-2.0, locales, python-gi, @, @builddeps@
Restrictions: build-needed

## tracker 2.2.1

=== debian/changelog ===
tracker (2.2.1-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Bump minimum libglib2.0-dev to 2.46
  * debian/libtracker-sparql-2.0-0.symbols: Add new symbols
  * Drop patches applied in new release:
    - tracker-monitor-Prevent-stack-smashing.patch
    - build-Restore-right-soversion-to-libraries.patch
    - functional-tests-Require-Bash-for-test-runner.patch
  * autopkgtest: Drop build-needed restriction
  * Use ICU to provide Unicode support instead of libunistring
    - since the collation test fails with libunistring. See tracker#59
  * Drop test.patch: no longer needed after switch to ICU

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Mar 2019 05:04:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,33 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: tracker
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: bash-completion,
-               dbus (>= 1.8) <!nocheck>,
-               debhelper (>= 11),
-               gnome-common,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper (>= 11),
+               meson (>= 0.47),
+               pkg-config,
                gnome-pkg-tools,
+               libdbus-1-dev (>= 1.3.1),
+               libglib2.0-dev (>= 2.46.0),
+               libsqlite3-dev (>= 3.8.3),
+               libstemmer-dev,
+               zlib1g-dev,
+               libupower-glib-dev (>= 0.9.0),
+               uuid-dev,
+               valac,
+               bash-completion,
+               gtk-doc-tools,
+               libglib2.0-doc,
+               libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.10),
-               gtk-doc-tools,
-               intltool (>= 0.40.0),
-               libdbus-1-dev (>= 1.3.1),
-               libgirepository1.0-dev (>= 0.10.7-1~),
-               libglib2.0-dev (>= 2.44.0),
-               libglib2.0-doc,
+               libicu-dev,
                libjson-glib-dev (>= 1.0),
                libsoup2.4-dev (>= 2.40),
-               libsqlite3-dev (>= 3.8.3),
-               libstemmer-dev,
-               libunistring-dev,
-               libupower-glib-dev (>= 0.9.0),
-               pkg-config,
-               uuid-dev,
-               valac,
-               zlib1g-dev
+               dbus (>= 1.8) <!nocheck>,
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker.git
@@ -38,11 +36,11 @@
 Package: tracker
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: default-dbus-session-bus | dbus-session-bus,
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         shared-mime-info,
          libglib2.0-bin,
-         shared-mime-info,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         default-dbus-session-bus | dbus-session-bus
 Recommends: tracker-miner-fs
 Description: metadata database, indexer and search tool
  Tracker is an advanced framework for first class objects with associated
@@ -53,8 +51,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: metadata database, indexer and search tool - library
  This package contains a library to perform SPARQL queries and updates in the
  Tracker store.
@@ -67,11 +66,11 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-tracker-2.0 (= ${binary:Version}),
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libtracker-sparql-2.0-0 (= ${binary:Version}),
          libglib2.0-dev,
-         libtracker-sparql-2.0-0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         gir1.2-tracker-2.0 (= ${binary:Version})
 Suggests: libtracker-sparql-doc
 Description: metadata database, indexer and search tool - development files
  This package contains the static libraries and header files needed to link
@@ -105,8 +104,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: tracker data miner library
  This package contains the library that is used by applications that provide
  data miners for tracker.
@@ -119,12 +119,12 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-tracker-2.0 (= ${binary:Version}),
-         libglib2.0-dev,
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
          libtracker-miner-2.0-0 (= ${binary:Version}),
          libtracker-sparql-2.0-dev,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         libglib2.0-dev,
+         gir1.2-tracker-2.0 (= ${binary:Version})
 Suggests: libtracker-miner-doc
 Description: tracker data miner library - development files
  This package contains the static libraries and header files needed to link
@@ -141,8 +141,8 @@
 Section: doc
 Depends: ${misc:Depends}
 Suggests: devhelp
-Breaks: libtracker-miner-0.10-dev, libtracker-miner-0.8-dev
-Replaces: libtracker-miner-0.10-dev, libtracker-miner-0.8-dev
+Breaks: libtracker-miner-0.8-dev, libtracker-miner-0.10-dev
+Replaces: libtracker-miner-0.8-dev, libtracker-miner-0.10-dev
 Description: tracker data miner library - API documentation
  This package contains the gtk-doc API documentation for libtracker-miner.
  .
@@ -156,8 +156,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: library to control/monitor tracker miners
  This package contains a library for managing miners, including polling
  status and progress, pausing, resuming and more.
@@ -170,11 +171,11 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-tracker-2.0 (= ${binary:Version}),
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libtracker-control-2.0-0 (= ${binary:Version}),
          libglib2.0-dev,
-         libtracker-control-2.0-0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         gir1.2-tracker-2.0 (= ${binary:Version})
 Suggests: libtracker-control-doc
 Description: library to control/monitor tracker miners - development files
  This package contains the static libraries and header files needed to link
@@ -206,7 +207,9 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${gir:Depends}
 Provides: gir1.2-trackercontrol-2.0 (= ${binary:Version}),
           gir1.2-trackerminer-2.0 (= ${binary:Version})
 Description: GObject introspection data for Tracker

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed -Wl,-Bsymbolic

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dunicode_support=icu \
		-Dfts=true \
		-Dstemmer=enabled \
		-Ddocs=true \
		-Dfunctional_tests=true \
		-Dnetwork_manager=disabled \
		-Dsystemd_user_services=/usr/lib/systemd/user \
		--libexecdir=/usr/lib/tracker

# These libraries don't have the symlinks with the meson build yet
# override_dh_install:
#	find debian/tmp -name libtracker-common.so -print -delete
#	find debian/tmp -name libtracker-data.so -print -delete
#	dh_install

override_dh_missing:
	dh_missing --fail-missing

# Enforce tight shlibs dependencies
override_dh_makeshlibs:
	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-2.0/ -- -c4

override_dh_strip:
	dh_strip --dbgsym-migration='tracker-dbg (<< 1.7.4-1~)'

override_dh_auto_test:
	dbus-run-session -- dh_auto_test || true

## tracker 2.3.0

=== debian/changelog ===
tracker (2.3.0-1) experimental; urgency=medium

  * New upstream release
    - Handle circular references in TrackerResource
    - Handle application/x-zero-size
    - Documentation improvements
    - Make tracker_sparql_escape_string() escape single quotes
    - Don't make tracker:referenceSource a subproperty of nie:identifier
  * Refresh patches:
    - d/p/file-utils-test-application-x-zerosize-is-a-valid-mime-fo.patch,
    - d/p/meson-Don-t-install-libtracker-common-static-library.patch:
      + Removed, applied upstream
  * debian/rules: Don't install trackertestutils files since we don't have an
    appropriate package currently, and they aren't needed by tracker-miners
    right now.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Sep 2019 10:19:44 +0100

tracker (2.2.99.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Support for storing Musicbrainz metadata in the multimedia ontology.
    - Fix detection of files that need writeback
    - Fix crashes and invalid memory writes
    - Fixed initialization of virtual tables
    - Fixed segmentation fault in libtracker-miner
    - Don't try to create JSON-LD nodes with unsigned integers
    - Handle correctly backreferences in TrackerResource tree
    - Fixed handling doubles with exponents in SPARQL
    - Don't limit to specific desktop environments
  * Refresh patches
  * d/p/disable-miner-fs-test.patch:
    - Remove as the test now works correctly
  * d/p/file-utils-test-application-x-zerosize-is-a-valid-mime-fo.patch:
    - Support application/x-zerosize as valid mime type
  * d/p/meson-Don-t-install-libtracker-common-static-library.patch:
    - Don't install libtracker-common static library
  * debian/control: BD on python3-gi in case we're running tests
  * debian/rules:
    - Set XDG_RUNTIME_DIR and HOME when running tests
    - Fail build on tests failures
  * libtracker-sparql-2.0-0.install: Don't install libtracker-common anymore
  * debian/tracker.docs: Use README.md

  [ Iain Lane ]
  * debian/rules: Don't run dh_auto_test if nocheck is set in
    DEB_BUILD_OPTIONS
  * Create the home directory and XDG_RUNTIME_DIR for the tests
  * Revert "build: Include libdir in rpath" This reverts commit
    a92309f9cf9099a8b0b54908e032dcb181ab6c63. We don't want these in rpath on
    Debian; the standard libdir is in the search path.

 -- Iain Lane <laney@debian.org>  Tue, 03 Sep 2019 17:42:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                meson (>= 0.47),
                pkg-config,
@@ -28,6 +28,7 @@
                libjson-glib-dev (>= 1.0),
                libsoup2.4-dev (>= 2.40),
                dbus (>= 1.8) <!nocheck>,
+               python3-gi <!nocheck>,
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed -Wl,-Bsymbolic
+export BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
 
 %:
 	dh $@ --with gir,gnome
@@ -17,11 +18,11 @@
 		-Dsystemd_user_services=/usr/lib/systemd/user \
 		--libexecdir=/usr/lib/tracker
 
-# These libraries don't have the symlinks with the meson build yet
-# override_dh_install:
-#	find debian/tmp -name libtracker-common.so -print -delete
-#	find debian/tmp -name libtracker-data.so -print -delete
-#	dh_install
+# These utils are not used by tracker-miners yet, but they will be used by it
+# soon. See upstream commit 8ae991922
+override_dh_install:
+	rm -rv debian/tmp/usr/lib/*/tracker-2.0/trackertestutils
+	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing
@@ -34,4 +35,9 @@
 	dh_strip --dbgsym-migration='tracker-dbg (<< 1.7.4-1~)'
 
 override_dh_auto_test:
-	dbus-run-session -- dh_auto_test || true
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	mkdir -p -m0755 $(BUILDDIR)/HOME
+	mkdir -p -m0700 $(BUILDDIR)/XRD
+	env HOME=$(BUILDDIR)/HOME XDG_RUNTIME_DIR=$(BUILDDIR)/XRD \
+		dbus-run-session -- dh_auto_test
+endif

=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@, dbus-x11, gir1.2-glib-2.0, python-gi, locales

## tracker 2.3.1

=== debian/changelog ===
tracker (2.3.1-3build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:56:05 +0100

tracker (2.3.1-3) unstable; urgency=medium

  * debian/rules: Make the tests failure non-fatal again, they are definitely
    not stable on all architectures,
    see: https://gitlab.gnome.org/GNOME/tracker/issues/108 (Closes: #945830)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 18 Jan 2020 22:37:01 +0100

tracker (2.3.1-2) unstable; urgency=medium

  * debian/patches/Use-ifdef-with-config.h-define-variable-HAVE_STATVFS64.patch:
    Fix FTBFS on non-linux architectures
  * debian/rules: Disable the parallel execution of the tests, let's hope it
    will fix the FTBFS
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)
  * Drop unused lintian overrides

 -- Laurent Bigonville <bigon@debian.org>  Sat, 18 Jan 2020 15:48:08 +0100

tracker (2.3.1-1) unstable; urgency=medium

  * autopkgtest: drop obsolete/duplicated dependencies.
    Thanks to Laney for the suggestions and guidance. (Closes: #943291)
  * autopkgtest: also drop dbus-x11 dependency
  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Oct 2019 12:11:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 11),
                meson (>= 0.47),
                pkg-config,
@@ -29,7 +29,8 @@
                libsoup2.4-dev (>= 2.40),
                dbus (>= 1.8) <!nocheck>,
                python3-gi <!nocheck>,
-Standards-Version: 4.3.0
+               gir1.2-glib-2.0 <!nocheck>,
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker.git
 Homepage: https://wiki.gnome.org/Projects/Tracker

=== debian/rules ===
--- 
+++ 
@@ -39,5 +39,5 @@
 	mkdir -p -m0755 $(BUILDDIR)/HOME
 	mkdir -p -m0700 $(BUILDDIR)/XRD
 	env HOME=$(BUILDDIR)/HOME XDG_RUNTIME_DIR=$(BUILDDIR)/XRD \
-		dbus-run-session -- dh_auto_test
+		dbus-run-session -- dh_auto_test --no-parallel || true
 endif

## tracker 2.3.4

=== debian/changelog ===
tracker (2.3.4-1) unstable; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Mar 2020 11:26:55 +0100

tracker (2.3.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Bump debhelper compatibility to 12
  * Move the daemons to /usr/libexec now that this is allowed in the debian
    policy

  [ Olivier Tilloy ]
  * New upstream release (Closes: #952789)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 03 Mar 2020 11:52:07 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,7 @@
 		-Ddocs=true \
 		-Dfunctional_tests=true \
 		-Dnetwork_manager=disabled \
-		-Dsystemd_user_services=/usr/lib/systemd/user \
-		--libexecdir=/usr/lib/tracker
+		-Dsystemd_user_services=/usr/lib/systemd/user
 
 # These utils are not used by tracker-miners yet, but they will be used by it
 # soon. See upstream commit 8ae991922

## tracker 2.3.6

=== meson_options.txt ===
option('docs', type: 'boolean', value: false,
       description: 'Generate API documentation with gtk-doc')
option('fts', type: 'boolean', value: true,
       description: 'Enable the Tracker full-text search feature')
option('functional_tests', type: 'boolean', value: true,
       description: 'Enable the Tracker functional test suite')
option('journal', type: 'boolean', value: true,
       description: 'Enable database journal backup mechanism')
option('man', type: 'boolean', value: true,
       description: 'Install man pages')

option('network_manager', type: 'feature', value: 'auto',
       description: 'Connection detection through NetworkManager')
option('stemmer', type: 'feature', value: 'auto',
       description: 'Stemming words while indexing')
option('unicode_support', type: 'combo', choices: ['icu', 'unistring', 'auto'], value: 'auto',
       description: 'Unicode support library to use')

option('bash_completion', type: 'string', value: 'yes',
       description: 'Directory to install Bash completion files (or "yes" for default directory, "no" to disable installation')
option('dbus_services', type: 'string', value: '',
       description: 'Directory to install D-Bus .service files (leave blank to use the value from dbus-1.pc)')
option('systemd_user_services', type: 'string', value: 'yes',
       description: 'Directory to install systemd user .service files (or "yes" for default directory, "no" to disable installation)')

=== debian/changelog ===
tracker (2.3.6-2) unstable; urgency=medium

  * debian/rules:
    - build without Bsymbolic and strip Bsymbolic-function, fixes the
      tracker search hanging on Ubuntu (lp: #1861358)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 17 Sep 2020 16:18:10 +0200

tracker (2.3.6-1) unstable; urgency=medium

  * debian/watch: Try to match tracker-2 only. We'll need to branch for
    tracker-3.
  * New upstream release
    + Add 'tracker export' subcommand to ease migration to 3.x
    + Do not autostart tracker-store
    + get the systemd user unit dir from pkg-config
    + Replace sensitive terms
    + Use correct signature for DBusSignalCallback
  * tracker.install: Install tracker-export manpage
  * tracker.install: Drop XDG autostart file for tracker-store. Dropped
    upstream, tracker uses DBus activation

 -- Iain Lane <laney@debian.org>  Tue, 15 Sep 2020 17:20:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                meson (>= 0.47),
                pkg-config,
                gnome-pkg-tools,
@@ -30,7 +30,7 @@
                dbus (>= 1.8) <!nocheck>,
                python3-gi <!nocheck>,
                gir1.2-glib-2.0 <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker.git
 Homepage: https://wiki.gnome.org/Projects/Tracker

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/2\.(?!99)([\d\.]+)/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz

## tracker 3.1.2

=== debian/changelog ===
tracker (3.1.2-3) unstable; urgency=medium

  * debian/rules: Fix bash-completion directory path

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Sep 2021 10:59:16 +0200

tracker (3.1.2-2) unstable; urgency=medium

  * Properly remove /etc/xdg/autostart/tracker-store.desktop on upgrade
    (Closes: #970636)
  * debian/rules: Completely disable the tests if nocheck option is used

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Sep 2021 16:02:01 +0200

tracker (3.1.2-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/control.in: Bump minimum libjson-glib-dev to 1.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 09 Sep 2021 02:35:52 -0400

tracker (3.1.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Aug 2021 22:46:49 -0400

tracker (3.1.1-2) experimental; urgency=medium

  * Cherry-pick upstream mr !401 to port to using GDateTime. This fixes an
    overflow error on 32 bit systems

 -- Iain Lane <laney@debian.org>  Tue, 20 Jul 2021 11:32:20 +0100

tracker (3.1.1-1) experimental; urgency=medium

  * New upstream release (Closes: #964376)
  * debian/patches/*: Refresh for tracker 3
    - drop-assert.patch: Drop, let's try without now
    - libtracker-miners-common-Make-g_error-a-soft-error.patch: This code is
      gone.
    - Revert-build-Include-libdir-in-rpath.patch: Refresh
  * rules:
    - Update configure flags, enable bash-completion
    - Drop unneded dh_install override
    - Drop dbg → dbgsym transitional code. The transition is well in the past
      now.
  * debian/various: Update to 3.0.
    - Update all 2.0 references to 3.0
    - Drop libtracker-miner, libtracker-control which are dropped upstream
    - Stop installing things which no longer exist, and install things which
      are new
  * libtracker-sparql-3.0-0.symbols: Update with added/dropped symbols in
    Tracker 3.
  * Fix up autopkgtest for new config options and drop ADTTMP.
  * control: Set Rules-Requires-Root to no - it's not needed.
  * control, rules: Bump to compat 13.
    - Use dh-sequence-{gir,gnome} instead of --with=
    - No need to override dh_missing to add --fail-missing any more; this is
      the default now
    - No need to set HOME and XDG_RUNTIME_DIR for the dh_auto_test override,
      and no need to explicitly check for `nocheck` any more.
  * control update BDs:
    - add asciidoc; required for the build
    - add python3-tap; needed for the tests
    - Drop Provides from gir1.2-tracker-3.0 for .gir files that are
      dropped

 -- Iain Lane <laney@debian.org>  Wed, 23 Jun 2021 17:34:20 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: tracker
Section: utils
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               meson (>= 0.47),
               pkg-config,
               asciidoc,
               libdbus-1-dev (>= 1.3.1),
               libglib2.0-dev (>= 2.46.0),
               libsqlite3-dev (>= 3.8.3),
               libstemmer-dev,
               zlib1g-dev,
               libupower-glib-dev (>= 0.9.0),
               uuid-dev,
               valac,
               bash-completion,
               gtk-doc-tools,
               libglib2.0-doc,
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.10),
               libicu-dev,
               libjson-glib-dev (>= 1.4),
               libsoup2.4-dev (>= 2.40),
               dbus (>= 1.8) <!nocheck>,
               python3-gi <!nocheck>,
               gir1.2-glib-2.0 <!nocheck>,
               python3-tap <!nocheck>,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/tracker
Vcs-Git: https://salsa.debian.org/gnome-team/tracker.git
Homepage: https://wiki.gnome.org/Projects/Tracker

Package: tracker
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shared-mime-info,
         libglib2.0-bin,
         default-dbus-session-bus | dbus-session-bus
Recommends: tracker-miner-fs
Breaks: tracker-miner-fs (<< 3.1.1)
Description: metadata database, indexer and search tool
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-sparql-3.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: metadata database, indexer and search tool - library
 This package contains a library to perform SPARQL queries and updates in the
 Tracker store.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-sparql-3.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtracker-sparql-3.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.52.0),
         libicu-dev (>= 4.8.1.1),
         libjson-glib-dev (>= 1.4),
         libxml2-dev (>= 2.6),
         libsoup2.4-dev (>= 2.40),
         libsqlite3-dev (>= 3.15.0),
         gir1.2-tracker-3.0 (= ${binary:Version})
Suggests: libtracker-sparql-doc
Description: metadata database, indexer and search tool - development files
 This package contains the static libraries and header files needed to link
 applications with libtracker-sparql.
 .
 libtracker-sparql provides a library to perform SPARQL queries and updates in
 the Tracker store.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Breaks: libtracker-sparql-doc
Replaces: libtracker-sparql-doc
Provides: libtracker-sparql-doc (= ${binary:Version})
Description: metadata database, indexer and search tool - API documentation
 This package contains the gtk-doc API documentation for libtracker-sparql-3
 and ontology-3, as well as some example programs.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: gir1.2-tracker-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for Tracker
 This package contains introspection data for libtracker-control,
 libtracker-miner and libtracker-sparql.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-test-utils
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3-gi,
         gir1.2-tracker-3.0 (= ${binary:Version}),
         gir1.2-glib-2.0
Description: test utilities for tracker
 This package contains shared test utilities provided by tracker, for use by
 tracker-miners.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
export BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

# needed for Ubuntu
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dunicode_support=icu \
		-Dfts=true \
		-Dstemmer=enabled \
		-Ddocs=true \
		-Dfunctional_tests=true \
		-Dnetwork_manager=disabled \
		-Dbash_completion=true \
		-Dbash_completion_dir=/usr/share/bash-completion/completions \
		-Dsystemd_user_services=true \
		-Dsystemd_user_services_dir=/usr/lib/systemd/user

# Enforce tight shlibs dependencies
override_dh_makeshlibs:
	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-3.0/ -- -c4

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	dbus-run-session -- dh_auto_test --no-parallel || true
endif

## tracker 3.3.0

=== meson_options.txt ===
option('docs', type: 'boolean', value: true, yield: true,
       description: 'Generate API documentation with gtk-doc')
option('man', type: 'boolean', value: true, yield: true,
       description: 'Install man pages')
option('override_sqlite_version_check', type: 'boolean', value: false,
       description: 'Override checks for broken sqlite versions')

option('stemmer', type: 'feature', value: 'auto',
       description: 'Stemming words while indexing')
option('unicode_support', type: 'combo', choices: ['icu', 'unistring', 'auto'], value: 'auto',
       description: 'Unicode support library to use')

option('bash_completion', type: 'boolean', value: true,
       description: 'Whether to install Bash completion files')
option('bash_completion_dir', type: 'string',
       description: 'Directory to install Bash completion files')
option('dbus_services_dir', type: 'string', value: '',
       description: 'Directory to install D-Bus .service files (or empty to use default)')
option('systemd_user_services', type: 'boolean', value: true, yield: true,
       description: 'Whether to install systemd user .service files')
option('systemd_user_services_dir', type: 'string', value: '', yield: true,
       description: 'Directory to install systemd user unit files (or empty to use default)')
option('tests', type: 'boolean', value: true,
       description: 'Whether to build tests')
option('test_utils', type: 'boolean', value: true,
       description: 'Whether to install the trackertestutils Python package')
option('test_utils_dir', type: 'string', value: '',
       description: 'Directory to install trackertestutils Python package (or empty to use the default)')
option('tests_tap_protocol', type: 'boolean', value: false,
       description: 'Whether to enable TAP protocol on tests')
option('introspection', type: 'feature', value: 'enabled',
       description: 'Whether to enable introspection')

option('soup', type: 'array', value: ['auto'],
       choices: ['auto', 'soup2', 'soup3'],
       description: 'Which major versions of libsoup to use')

=== debian/changelog ===
tracker (3.3.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 12:14:08 -0400

tracker (3.3.0~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/rules: Explicitly only build the libsoup2 version for now
  * debian/control.in: Build-Depend on asciidoc-base instead of asciidoc

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 16 Mar 2022 11:40:36 -0400

tracker (3.3.0~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtracker-doc.install: Update
  * debian/control.in: Drop obsolete Build-Depends on gtk-doc-tools
  * debian/libtracker-sparql-3.0-0.install: Install temporary libsoup2 library
  * debian/libtracker-sparql-3.0-0.symbols: Update

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 24 Feb 2022 11:53:00 -0500

tracker (3.1.2-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Revert "debian/rules: Completely disable the tests if nocheck option is
    used"
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbols (Closes: #997451)

  [ Laurent Bigonville ]
  * debian/rules: Drop configure options that have been removed upstream
  * debian/tests/unit-tests: Sync the configure options with the ones in
    debian/rules
  * d/control.in: tracker-test-utils requires libglib2.0-bin for gsettings executable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Feb 2022 08:16:32 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jeremy.bicha@canonical.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                meson (>= 0.47),
                pkg-config,
-               asciidoc,
+               asciidoc-base,
                libdbus-1-dev (>= 1.3.1),
                libglib2.0-dev (>= 2.46.0),
                libsqlite3-dev (>= 3.8.3),
@@ -22,7 +22,6 @@
                uuid-dev,
                valac,
                bash-completion,
-               gtk-doc-tools,
                libglib2.0-doc,
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.10),
@@ -104,7 +103,7 @@
 Replaces: libtracker-sparql-doc
 Provides: libtracker-sparql-doc (= ${binary:Version})
 Description: metadata database, indexer and search tool - API documentation
- This package contains the gtk-doc API documentation for libtracker-sparql-3
+ This package contains the API documentation for libtracker-sparql-3
  and ontology-3, as well as some example programs.
  .
  Tracker is an advanced framework for first class objects with associated
@@ -137,7 +136,8 @@
          ${misc:Depends},
          python3-gi,
          gir1.2-tracker-3.0 (= ${binary:Version}),
-         gir1.2-glib-2.0
+         gir1.2-glib-2.0,
+         libglib2.0-bin
 Description: test utilities for tracker
  This package contains shared test utilities provided by tracker, for use by
  tracker-miners.

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dunicode_support=icu \
-		-Dfts=true \
 		-Dstemmer=enabled \
 		-Ddocs=true \
-		-Dfunctional_tests=true \
-		-Dnetwork_manager=disabled \
 		-Dbash_completion=true \
 		-Dbash_completion_dir=/usr/share/bash-completion/completions \
+		-Dsoup=soup2 \
 		-Dsystemd_user_services=true \
 		-Dsystemd_user_services_dir=/usr/lib/systemd/user
 
@@ -28,6 +26,4 @@
 	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-3.0/ -- -c4
 
 override_dh_auto_test:
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	dbus-run-session -- dh_auto_test --no-parallel || true
-endif
